# cv::SIFT::DescriptorParams Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| DescriptorParams ()
| DescriptorParams (double _magnification, bool _isNormalize, bool _recalculateAngles)

## Static Public Member Functions

static double | GET_DEFAULT_MAGNIFICATION ()

## Public Attributes

bool | isNormalize
double | magnification
bool | recalculateAngles

## Static Public Attributes

static const bool | DEFAULT_IS_NORMALIZE = true
static const int | DESCRIPTOR_SIZE = 128

## Constructor & Destructor Documentation

cv::SIFT::DescriptorParams::DescriptorParams | ( | ) |

cv::SIFT::DescriptorParams::DescriptorParams | ( | double | _magnification,
|  | bool | _isNormalize,
|  | bool | _recalculateAngles
| ) |  |

## Member Function Documentation

static double cv::SIFT::DescriptorParams::GET_DEFAULT_MAGNIFICATION | ( | ) | `[inline, static]`

## Member Data Documentation

const bool cv::SIFT::DescriptorParams::DEFAULT_IS_NORMALIZE = true`[static]`

const int cv::SIFT::DescriptorParams::DESCRIPTOR_SIZE = 128`[static]`

bool cv::SIFT::DescriptorParams::isNormalize

double cv::SIFT::DescriptorParams::magnification

bool cv::SIFT::DescriptorParams::recalculateAngles

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines